package com.dcsoft.system.uniubi.domain;


public class Event extends HkBackRecord {

    private boolean  remoteCheck;

    private String  serialNumber;

    private Integer  majorEventType;

    private Integer subEventType;

    private String  cardNo;

    private String  name;

    private String  employeeNoString;

    private Integer  serialNo;

    private Integer  picturesNumber;

    private String  currentVerifyMode;

    private String  pictureURL;


    public Boolean getRemoteCheck() {
        return remoteCheck;
    }

    public void setRemoteCheck(Boolean remoteCheck) {
        this.remoteCheck = remoteCheck;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getMajorEventType() {
        return majorEventType;
    }

    public void setMajorEventType(Integer majorEventType) {
        this.majorEventType = majorEventType;
    }

    public Integer getSubEventType() {
        return subEventType;
    }

    public void setSubEventType(Integer subEventType) {
        this.subEventType = subEventType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmployeeNoString() {
        return employeeNoString;
    }

    public void setEmployeeNoString(String employeeNoString) {
        this.employeeNoString = employeeNoString;
    }

    public Integer getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(Integer serialNo) {
        this.serialNo = serialNo;
    }

    public Integer getPicturesNumber() {
        return picturesNumber;
    }

    public void setPicturesNumber(Integer picturesNumber) {
        this.picturesNumber = picturesNumber;
    }

    public String getCurrentVerifyMode() {
        return currentVerifyMode;
    }

    public void setCurrentVerifyMode(String currentVerifyMode) {
        this.currentVerifyMode = currentVerifyMode;
    }

    public String getPictureURL() {
        return pictureURL;
    }

    public void setPictureURL(String pictureURL) {
        this.pictureURL = pictureURL;
    }

    @Override
    public String toString() {
        return "AccessControllerEvent{" +
                "remoteCheck=" + remoteCheck +
                ", serialNumber='" + serialNumber + '\'' +
                ", majorEventType=" + majorEventType +
                ", subEventType=" + subEventType +
                ", cardNo='" + cardNo + '\'' +
                ", name='" + name + '\'' +
                ", employeeNoString='" + employeeNoString + '\'' +
                ", serialNo=" + serialNo +
                ", picturesNumber=" + picturesNumber +
                ", currentVerifyMode='" + currentVerifyMode + '\'' +
                ", pictureURL='" + pictureURL + '\'' +
                '}';
    }
}
